получить статус платежного токена
GET/invoices/:invoice_id/payment_tokens/:token_id
если статус токена waiting_iframe, то необходимо на платежной странице отрисовать скытый iframe с формой и выполнить ее отправку:
<iframe name="iframe" style="display: none;" />
<form action="{{ threeds_method_url }}" target="iframe" method="POST" style="display: 'none';">
<input type="hidden" name="threeDSMethodData" value="{{ threeds_method_data }}"/>
</form>
Request
Path Parameters
внутренний номер инвойса
uuid платежного токена
Responses
- 200
- 400
- 401
- 404
- 429
- 498
OK
- application/json
- Schema
- Example (from schema)
- success
Schema
- waiting_iframe - нужно отрисовать скрытый iframe (3DS-Method)
- waiting_pay - можно отправлять токен на оплату
- progress - токен в обработке
- used - токен использован
- error - ошибка создания токена
uuid
время создания
Possible values: [waiting_iframe, waiting_pay, error, used, progress]
адрес, на который необходимо отправить скрытый iframe
данные для эмитента (должны быть переданы через скрытый iframe)
описание ошибки
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-10-08T12:37:29.573Z",
"status": "waiting_iframe",
"threeds_method_url": "string",
"threeds_method_data": "string",
"message": "string"
}
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_at": "2019-08-24T14:15:22Z",
"status": "waiting_iframe",
"payment_type": "card",
"raw": "some-token-here",
"threeds_method_url": "https://ds.vendorcert.mirconnect.ru/ma",
"threeds_method_data": "eyJ0aHJlZURTTWV0aG9kTm90aWZpY2F0aW9uVVJMIjoiaHR0cHM6Ly9wYXltZW50LXRlc3QubGlmZS1wYXkucnUvYWNzLW5vdGlmaWNhdGlvbiIsInRocmVlRFNTZXJ2ZXJUcmFuc0lEIjoiOTM4NzI3ZWYtNjdiYS00MzFmLThmNzMtNDU5NTM0YjA3NTUzIn0",
"message": "",
"charge": {}
}
Bad Request
- application/json
- Schema
- Example (from schema)
- BadRequest
- InvalidParameterValue
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "missing_required_request_parameter",
"message": "Отсутствует обязательный параметр запроса"
}
{
"code": "invalid_parameter_value",
"message": "Некорректный параметр запроса"
}
Unauthorized
- application/json
- Schema
- Example (from schema)
- Unauthorized
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "unauthorized",
"message": "Ошибка аутентификации"
}
Not Found
- application/json
- Schema
- Example (from schema)
- NotFound
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "resource_not_found",
"message": "Запрашиваемая информация не найдена"
}
Too Many Requests
- application/json
- Schema
- Example (from schema)
- Too Many Requests
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "too_many_requests",
"message": "Превышено ограничение на количество запросов в секунду"
}
Invalid Token
- application/json
- Schema
- Example (from schema)
- No Service Id
- Bad Invoice Id
- Bad Service Id
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "invalid_token",
"message": "Ошибка JWT Token. Идентификатор service_id в теле токена не мож ет быть пустым",
"info": "JWT token must contain service_id"
}
{
"code": "invalid_token",
"message": "Ошибка JWT Token. Вы не можете проводить операцию для этого invoice_id",
"info": "Invoice in JWT token doesn't match invoice from URL"
}
{
"code": "invalid_token",
"message": "Ошибка JWT Token. Вы не можете проводить операцию для этого service_id",
"info": "Service_id in JWT token doesn't match service_id from URL"
}